#!/usr/bin/perl

%mib = ();

while( @ARGV ) {
    $file = shift;
    open( IN, "<$file" );
    while( <IN> ) {
	chomp;
	($txt,$id) = split("\t");
	$mib{$id} = $txt;
    }
}

while( <> ) {
    chomp;
    if( /^([0-9\.]+)(.*)$/ ) {
	($oid,$txt) = ($1,$2);
	while( $oid =~ /^(.*)\.(.*)/ ) {
	    if( $mib{$oid} ) {
		$oid = $mib{$oid};
		last;
	    }
	    $oid = $1;
	    $txt = ".".$2.$txt;
	}
	print "$oid$txt\n";
    }
}


