#include "EXTERN.h"
#include "perl.h"
#ifndef PATCHLEVEL
#include "patchlevel.h"
#endif

/* Workaround for mapstart: the only op which needs a different ppaddr */
#undef pp_mapstart
#define pp_mapstart pp_grepstart

static void xs_init _((void));
static PerlInterpreter *my_perl;

#define xpvcvix0	0, 0, 0, 0, 0, 0, Nullhv, Nullhv, 0, 0, 0, Nullany, Nullgv, Nullgv, 0, 0, (CV*)0, 0
#define svix115	(XPVCV*)&xpvcv_list[0], 3, 0xc
#define xpvcvix1	0, 0, 0, 0, 0, 0, Nullhv, Nullhv, &op_list[2], (OP*)&unop_list[45], 0, Nullany, Nullgv, Nullgv, 0, (AV*)&sv_list[131], (CV*)0, 0
#define svix130	(XPVCV*)&xpvcv_list[1], 2, 0xc
#define xpvcvix2	0, 0, 0, 0, 0, 0, Nullhv, Nullhv, &op_list[8], (OP*)&unop_list[47], 0, Nullany, Nullgv, Nullgv, 0, (AV*)&sv_list[192], (CV*)0, 0
#define svix191	(XPVCV*)&xpvcv_list[2], 2, 0xc

#ifdef BROKEN_STATIC_REDECL
#define Static extern
#else
#define Static static
#endif /* BROKEN_STATIC_REDECL */

#ifdef BROKEN_UNION_INIT
/*
 * Cribbed from cv.h with ANY (a union) replaced by void*.
 * Some pre-Standard compilers can't cope with initialising unions. Ho hum.
 */
typedef struct {
    char *	xpv_pv;		/* pointer to malloced string */
    STRLEN	xpv_cur;	/* length of xp_pv as a C string */
    STRLEN	xpv_len;	/* allocated size */
    IV		xof_off;	/* integer value */
    double	xnv_nv;		/* numeric value, if any */
    MAGIC*	xmg_magic;	/* magic for scalar array */
    HV*		xmg_stash;	/* class package */

    HV *	xcv_stash;
    OP *	xcv_start;
    OP *	xcv_root;
    void      (*xcv_xsub) _((CV*));
    void *	xcv_xsubany;
    GV *	xcv_gv;
    GV *	xcv_filegv;
    long	xcv_depth;		/* >= 2 indicates recursive call */
    AV *	xcv_padlist;
    CV *	xcv_outside;
#ifdef USE_THREADS
    perl_mutex *xcv_mutexp;
    struct perl_thread *xcv_owner;	/* current owner thread */
#endif /* USE_THREADS */
    U8		xcv_flags;
} XPVCV_or_similar;
#define ANYINIT(i) i
#else
#define XPVCV_or_similar XPVCV
#define ANYINIT(i) {i}
#endif /* BROKEN_UNION_INIT */
#define Nullany ANYINIT(0)

#define UNUSED 0
#define sym_0 0

static GV *gv_list[31];

Static OP op_list[11];
Static UNOP unop_list[48];
Static BINOP binop_list[43];
Static LISTOP listop_list[15];
Static PMOP pmop_list[4];
Static LOOP loop_list[1];
Static COP cop_list[6];
Static SV sv_list[214];
Static XPV xpv_list[77];
Static XPVAV xpvav_list[9];
Static XPVCV_or_similar xpvcv_list[3];
Static XPVIV xpviv_list[7];
Static XPVNV xpvnv_list[2];
Static XPVIO xpvio_list[1];
static OP * pp_main _((ARGSproto));
static char *re0 = ".*/";
static HV *hv0;
static HV *hv1;
static char *re1 = "\\s+";
static char *re2 = "\\s+";
static OP * pp_sub_usage _((ARGSproto));
static OP * pp_sub_untaint _((ARGSproto));
static char *re3 = "^(.*)$";

static OP op_list[11] = {
	{ 0, 0, pp_main, 0, 0, 65535, 0x0, 0x0 },
	{ 0, 0, pp_enter, 0, 176, 65535, 0x0, 0x0 },
	{ 0, 0, pp_sub_usage, 0, 0, 65535, 0x0, 0x0 },
	{ (OP*)&binop_list[23], 0, pp_time, 52, 291, 65535, 0x2, 0x0 },
	{ (OP*)&cop_list[0], (OP*)&cop_list[0], pp_enter, 0, 176, 65535, 0x1, 0x0 },
	{ 0, 0, pp_iter, 0, 180, 65535, 0x2, 0x0 },
	{ 0, 0, pp_iter, 0, 180, 65535, 0x2, 0x0 },
	{ 0, 0, pp_enter, 0, 176, 65535, 0x1, 0x0 },
	{ 0, 0, pp_sub_untaint, 0, 0, 65535, 0x0, 0x0 },
	{ (OP*)&cop_list[3], (OP*)&cop_list[3], pp_enter, 0, 176, 65535, 0x1, 0x0 },
	{ (OP*)&cop_list[5], (OP*)&cop_list[5], pp_enter, 0, 176, 65535, 0x1, 0x0 },
};

static UNOP unop_list[48] = {
	{ 0, 0, pp_rv2hv, 0, 134, 65535, 0x16, 0x3, 0 },
	{ 0, 0, pp_ftfile, 0, 252, 65535, 0x6, 0x1, 0 },
	{ 0, 0, pp_ftfile, 0, 252, 65535, 0x6, 0x1, 0 },
	{ 0, 0, pp_rv2hv, 0, 134, 65535, 0x16, 0x3, 0 },
	{ 0, 0, pp_backtick, 6, 24, 65535, 0x6, 0x0, 0 },
	{ 0, 0, pp_backtick, 7, 24, 65535, 0x6, 0x0, 0 },
	{ 0, 0, pp_backtick, 8, 24, 65535, 0x6, 0x0, 0 },
	{ 0, 0, pp_schomp, 9, 41, 65535, 0x5, 0x1, 0 },
	{ 0, (OP*)&unop_list[9], pp_entersub, 10, 166, 65535, 0x46, 0x3, 0 },
	{ 0, 0, pp_entersub, 11, 166, 65535, 0x5, 0xb, 0 },
	{ (OP*)&binop_list[3], 0, pp_backtick, 20, 24, 65535, 0x6, 0x0, 0 },
	{ (OP*)&listop_list[0], 0, pp_rv2av, 24, 125, 65535, 0x7, 0x3, 0 },
	{ 0, 0, pp_require, 0, 308, 65535, 0x6, 0x1, 0 },
	{ (OP*)&unop_list[14], 0, pp_method, 0, 165, 65535, 0x6, 0x1, 0 },
	{ 0, 0, pp_entersub, 59, 166, 65535, 0x46, 0x2, 0 },
	{ (OP*)&unop_list[16], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ (OP*)&cop_list[1], (OP*)&cop_list[1], pp_entersub, 60, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[18], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 62, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[20], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 63, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[22], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 69, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[24], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 71, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[26], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 75, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[28], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 77, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[30], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 78, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[32], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_entersub, 79, 166, 65535, 0x45, 0x2, 0 },
	{ (OP*)&unop_list[34], 0, pp_method, 0, 165, 65535, 0x4, 0x1, 0 },
	{ (OP*)&listop_list[4], 0, pp_entersub, 80, 166, 65535, 0x45, 0x2, 0 },
	{ 0, 0, pp_entersub, 81, 166, 65535, 0x46, 0x3, 0 },
	{ 0, 0, pp_entersub, 82, 166, 65535, 0x46, 0x3, 0 },
	{ 0, (OP*)&listop_list[8], pp_not, 0, 96, 65535, 0x6, 0x1, (OP*)&listop_list[6] },
	{ 0, 0, pp_rv2gv, 0, 14, 65535, 0x16, 0x3, 0 },
	{ (OP*)&listop_list[8], 0, pp_exit, 0, 189, 65535, 0x5, 0x1, 0 },
	{ 0, 0, pp_rv2gv, 0, 14, 65535, 0x16, 0x3, 0 },
	{ 0, 0, pp_close, 0, 191, 65535, 0x5, 0x1, 0 },
	{ 0, 0, pp_rv2gv, 0, 14, 65535, 0x16, 0x3, 0 },
	{ (OP*)&listop_list[11], 0, pp_exit, 0, 189, 65535, 0x5, 0x1, 0 },
	{ (OP*)&unop_list[45], 0, pp_exit, 0, 189, 65535, 0x6, 0x1, 0 },
	{ 0, 0, pp_leavesub, 0, 167, 65535, 0x4, 0x1, 0 },
	{ 0, 0, pp_rv2av, 2, 125, 65535, 0x7, 0x3, 0 },
	{ 0, 0, pp_leavesub, 0, 167, 65535, 0x4, 0x1, 0 },
};

static BINOP binop_list[43] = {
	{ 0, 0, pp_helem, 0, 135, 65535, 0xb6, 0x2, (OP*)&unop_list[0], 0 },
	{ 0, 0, pp_helem, 0, 135, 65535, 0x6, 0x2, (OP*)&unop_list[3], 0 },
	{ 0, (OP*)&unop_list[10], pp_concat, 19, 66, 65535, 0x6, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 21, 66, 65535, 0x46, 0x2, (OP*)&binop_list[2], (OP*)&unop_list[10] },
	{ 0, 0, pp_concat, 26, 66, 65535, 0x6, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 27, 66, 65535, 0x46, 0x2, (OP*)&binop_list[4], 0 },
	{ 0, 0, pp_concat, 29, 66, 65535, 0x6, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 30, 66, 65535, 0x46, 0x2, (OP*)&binop_list[6], 0 },
	{ 0, 0, pp_concat, 32, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&binop_list[10], 0, pp_concat, 33, 66, 65535, 0x46, 0x2, (OP*)&binop_list[8], 0 },
	{ 0, 0, pp_concat, 35, 66, 65535, 0x45, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 36, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&binop_list[13], 0, pp_concat, 37, 66, 65535, 0x46, 0x2, (OP*)&binop_list[11], 0 },
	{ 0, 0, pp_concat, 39, 66, 65535, 0x45, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 40, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&binop_list[16], 0, pp_concat, 41, 66, 65535, 0x46, 0x2, (OP*)&binop_list[14], 0 },
	{ 0, 0, pp_concat, 43, 66, 65535, 0x45, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 44, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&binop_list[19], 0, pp_concat, 45, 66, 65535, 0x46, 0x2, (OP*)&binop_list[17], 0 },
	{ 0, 0, pp_concat, 47, 66, 65535, 0x45, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 48, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&binop_list[22], 0, pp_concat, 49, 66, 65535, 0x46, 0x2, (OP*)&binop_list[20], 0 },
	{ 0, 0, pp_concat, 51, 66, 65535, 0x45, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 53, 66, 65535, 0x6, 0x2, 0, &op_list[3] },
	{ (OP*)&binop_list[25], 0, pp_concat, 55, 66, 65535, 0x46, 0x2, (OP*)&binop_list[23], 0 },
	{ 0, 0, pp_concat, 56, 66, 65535, 0x45, 0x2, 0, (OP*)&binop_list[24] },
	{ 0, 0, pp_leaveloop, 0, 182, 65535, 0x5, 0x2, (OP*)&loop_list[0], 0 },
	{ 0, 0, pp_leaveloop, 0, 182, 65535, 0x5, 0x2, (OP*)&loop_list[0], 0 },
	{ 0, 0, pp_concat, 66, 66, 65535, 0x6, 0x2, 0, (OP*)&listop_list[3] },
	{ 0, (OP*)&unop_list[21], pp_concat, 68, 66, 65535, 0x66, 0x2, (OP*)&binop_list[28], 0 },
	{ 0, 0, pp_concat, 72, 66, 65535, 0x6, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 73, 66, 65535, 0x46, 0x2, (OP*)&binop_list[30], 0 },
	{ 0, 0, pp_concat, 83, 66, 65535, 0x6, 0x2, 0, 0 },
	{ 0, 0, pp_concat, 84, 66, 65535, 0x46, 0x2, (OP*)&binop_list[32], 0 },
	{ 0, 0, pp_concat, 85, 66, 65535, 0x46, 0x2, (OP*)&binop_list[33], 0 },
	{ 0, 0, pp_concat, 86, 66, 65535, 0x46, 0x2, (OP*)&binop_list[34], 0 },
	{ 0, 0, pp_concat, 87, 66, 65535, 0x46, 0x2, (OP*)&binop_list[35], 0 },
	{ (OP*)&listop_list[6], 0, pp_concat, 88, 66, 65535, 0x46, 0x2, (OP*)&binop_list[36], 0 },
	{ 0, 0, pp_concat, 92, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&listop_list[10], 0, pp_concat, 93, 66, 65535, 0x46, 0x2, (OP*)&binop_list[38], 0 },
	{ 0, 0, pp_concat, 2, 66, 65535, 0x6, 0x2, 0, 0 },
	{ (OP*)&listop_list[13], 0, pp_concat, 3, 66, 65535, 0x46, 0x2, (OP*)&binop_list[40], 0 },
	{ 0, 0, pp_aassign, 3, 37, 65535, 0x45, 0x0, 0, 0 },
};

static LISTOP listop_list[15] = {
	{ 0, 0, pp_join, 25, 140, 65535, 0x6, 0x2, 0, (OP*)&unop_list[11], 2 },
	{ (OP*)&loop_list[0], 0, pp_split, 61, 139, 65535, 0x27, 0x0, (OP*)&pmop_list[1], 0, 3 },
	{ (OP*)&listop_list[3], 0, pp_split, 64, 139, 65535, 0x7, 0x0, (OP*)&pmop_list[2], 0, 3 },
	{ (OP*)&binop_list[28], 0, pp_join, 65, 140, 65535, 0x6, 0x2, 0, (OP*)&listop_list[2], 2 },
	{ (OP*)&listop_list[5], (OP*)&listop_list[12], pp_leave, 0, 177, 65535, 0xd, 0x0, &op_list[4], (OP*)&unop_list[34], 27 },
	{ 0, 0, pp_leave, 0, 177, 65535, 0xd, 0x0, &op_list[1], 0, 65 },
	{ (OP*)&unop_list[37], 0, pp_open, 90, 190, 65535, 0x6, 0x2, 0, 0, 2 },
	{ 0, 0, pp_print, 0, 208, 65535, 0x45, 0x0, 0, 0, 2 },
	{ (OP*)&cop_list[4], 0, pp_leave, 0, 177, 65535, 0xd, 0x0, &op_list[9], (OP*)&unop_list[39], 5 },
	{ 0, 0, pp_print, 0, 208, 65535, 0x45, 0x0, 0, 0, 2 },
	{ 0, 0, pp_print, 0, 208, 65535, 0x45, 0x0, 0, 0, 2 },
	{ (OP*)&listop_list[12], 0, pp_leave, 0, 177, 65535, 0xd, 0x0, &op_list[10], (OP*)&unop_list[43], 5 },
	{ (OP*)&listop_list[5], 0, pp_leave, 0, 177, 65535, 0xd, 0x0, &op_list[7], 0, 13 },
	{ 0, 0, pp_print, 0, 208, 65535, 0x5, 0x0, 0, 0, 1 },
	{ (OP*)&unop_list[47], 0, pp_return, 0, 183, 65535, 0x4, 0x0, 0, 0, 1 },
};

static PMOP pmop_list[4] = {
	{ 0, 0, pp_subst, 0, 33, 65535, 0x45, 0x0, 0, 0, 2, 0, 0, 0, 0, 0x40, 0x40 },
	{ 0, 0, pp_pushre, 0, 13, 65535, 0x82, 0x0, 0, 0, 0, 0, 0, 0, 0, 0x30, 0x0 },
	{ 0, 0, pp_pushre, 0, 13, 65535, 0x82, 0x0, 0, 0, 0, 0, 0, 0, 0, 0x30, 0x0 },
	{ 0, 0, pp_match, 0, 31, 65535, 0x45, 0x0, 0, 0, 1, 0, 0, 0, 0, 0x0, 0x0 },
};

static LOOP loop_list[1] = {
	{ &op_list[6], 0, pp_enteriter, 57, 179, 65535, 0x7, 0x0, 0, 0, 1, (OP*)&cop_list[2], &op_list[6], (OP*)&binop_list[27] },
};

static COP cop_list[6] = {
	{ 0, (OP*)&unop_list[12], pp_nextstate, 0, 173, 65535, 0x1, 0x0, 0, Nullhv, Nullgv, 1944, 0, 81 },
	{ 0, (OP*)&binop_list[27], pp_nextstate, 0, 173, 65535, 0x1, 0x0, 0, Nullhv, Nullgv, 1947, 0, 86 },
	{ 0, (OP*)&unop_list[18], pp_nextstate, 0, 173, 65535, 0x1, 0x0, 0, Nullhv, Nullgv, 1946, 0, 87 },
	{ 0, (OP*)&listop_list[7], pp_nextstate, 0, 173, 65535, 0x1, 0x0, 0, Nullhv, Nullgv, 1949, 0, 109 },
	{ 0, (OP*)&listop_list[9], pp_nextstate, 0, 173, 65535, 0x1, 0x0, 0, Nullhv, Nullgv, 1951, 0, 113 },
	{ 0, (OP*)&listop_list[10], pp_nextstate, 0, 173, 65535, 0x1, 0x0, 0, Nullhv, Nullgv, 1951, 0, 116 },
};

static SV sv_list[214] = {
	{ &xpvav_list[0], 2, 0xa },
	{ 0, 3, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x100 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x100 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x100 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x100 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x100 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x200 },
	{ 0, 2, 0x0 },
	{ &xpv_list[0], 2, 0x4840004 },
	{ &xpv_list[1], 2, 0x4840004 },
	{ &xpv_list[2], 2, 0x4840004 },
	{ &xpv_list[3], 2, 0x4840004 },
	{ &xpv_list[4], 2, 0x4840004 },
	{ &xpv_list[5], 2, 0x4840004 },
	{ &xpv_list[6], 2, 0x4840004 },
	{ &xpv_list[7], 2, 0x4840004 },
	{ &xpv_list[8], 2, 0x4840004 },
	{ &xpv_list[9], 2, 0x4840004 },
	{ &xpv_list[10], 2, 0x4840004 },
	{ &xpviv_list[0], 2, 0x1010001 },
	{ &xpv_list[11], 2, 0x4040004 },
	{ &xpv_list[12], 2, 0x4040004 },
	{ &xpv_list[13], 2, 0x4040004 },
	{ &xpv_list[14], 2, 0x4040004 },
	{ &xpv_list[15], 2, 0x4040004 },
	{ &xpv_list[16], 2, 0x4040004 },
	{ &xpviv_list[1], 2, 0x1810001 },
	{ 0, 2, 0x0 },
	{ svix115 },
	{ 0, 2, 0x0 },
	{ &xpv_list[17], 2, 0x4040004 },
	{ &xpv_list[18], 2, 0x4040004 },
	{ &xpv_list[19], 2, 0x4840004 },
	{ &xpv_list[20], 2, 0x4840004 },
	{ &xpv_list[21], 2, 0x4840004 },
	{ &xpv_list[22], 2, 0x4840004 },
	{ &xpv_list[23], 2, 0x4840004 },
	{ &xpv_list[24], 2, 0x4840004 },
	{ &xpv_list[25], 2, 0x4840004 },
	{ &xpv_list[26], 2, 0x4840004 },
	{ &xpv_list[27], 2, 0x4840004 },
	{ &xpv_list[28], 2, 0x4840004 },
	{ 0, 2, 0x0 },
	{ svix130 },
	{ &xpvav_list[1], 2, 0xa },
	{ &xpvav_list[2], 2, 0xa },
	{ &xpvnv_list[0], 2, 0x4140006 },
	{ &xpvav_list[3], 2, 0xa },
	{ &xpvav_list[4], 2, 0xa },
	{ 0, 2, 0x300 },
	{ 0, 2, 0x300 },
	{ 0, 2, 0x100 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ &xpv_list[29], 2, 0x4840004 },
	{ &xpv_list[30], 2, 0x4840004 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ 0, 2, 0x0 },
	{ &xpv_list[31], 2, 0x4840004 },
	{ &xpv_list[32], 2, 0x4840004 },
	{ &xpv_list[33], 2, 0x4840004 },
	{ &xpv_list[34], 2, 0x4840004 },
	{ &xpv_list[35], 2, 0x4840004 },
	{ &xpv_list[36], 2, 0x4840004 },
	{ &xpv_list[37], 2, 0x4840004 },
	{ &xpv_list[38], 2, 0x4840004 },
	{ &xpv_list[39], 2, 0x4840004 },
	{ &xpv_list[40], 2, 0x4840004 },
	{ &xpv_list[41], 2, 0x4840004 },
	{ &xpv_list[42], 2, 0x4840004 },
	{ &xpv_list[43], 2, 0x4840004 },
	{ &xpv_list[44], 2, 0x4840004 },
	{ &xpv_list[45], 2, 0x4840004 },
	{ &xpv_list[46], 2, 0x4840004 },
	{ &xpv_list[47], 2, 0x4840004 },
	{ &xpv_list[48], 2, 0x4840004 },
	{ &xpv_list[49], 2, 0x4840004 },
	{ &xpv_list[50], 2, 0x4840004 },
	{ &xpv_list[51], 2, 0x4840004 },
	{ &xpviv_list[2], 2, 0x1810001 },
	{ &xpv_list[52], 2, 0x4840004 },
	{ &xpv_list[53], 2, 0x4840004 },
	{ &xpv_list[54], 2, 0x4840004 },
	{ &xpv_list[55], 2, 0x4840004 },
	{ &xpviv_list[3], 2, 0x1810001 },
	{ &xpv_list[56], 2, 0x4840004 },
	{ &xpv_list[57], 2, 0x4840004 },
	{ &xpv_list[58], 2, 0x4840004 },
	{ &xpv_list[59], 2, 0x4840004 },
	{ &xpv_list[60], 2, 0x4840004 },
	{ &xpv_list[61], 2, 0x4840004 },
	{ &xpv_list[62], 2, 0x4840004 },
	{ &xpv_list[63], 2, 0x4840004 },
	{ &xpv_list[64], 2, 0x4840004 },
	{ &xpv_list[65], 2, 0x4840004 },
	{ &xpv_list[66], 2, 0x4840004 },
	{ &xpv_list[67], 2, 0x4840004 },
	{ 0, 2, 0x0 },
	{ svix191 },
	{ &xpvav_list[5], 2, 0xa },
	{ &xpvav_list[6], 2, 0xa },
	{ &xpvnv_list[1], 2, 0x4040006 },
	{ &xpvav_list[7], 2, 0xa },
	{ &xpvav_list[8], 2, 0xa },
	{ 0, 2, 0x500 },
	{ 0, 2, 0x300 },
	{ 0, 2, 0x300 },
	{ 0, 2, 0x0 },
	{ &xpvio_list[0], 2, 0x100f },
	{ &xpv_list[68], 2, 0x4840004 },
	{ &xpv_list[69], 2, 0x4840004 },
	{ &xpv_list[70], 2, 0x4840004 },
	{ &xpv_list[71], 2, 0x4840004 },
	{ &xpv_list[72], 2, 0x4840004 },
	{ &xpviv_list[4], 2, 0x1810001 },
	{ &xpv_list[73], 2, 0x4840004 },
	{ &xpv_list[74], 2, 0x4840004 },
	{ &xpviv_list[5], 2, 0x1810001 },
	{ &xpv_list[75], 2, 0x4840004 },
	{ &xpv_list[76], 2, 0x4840004 },
	{ &xpviv_list[6], 2, 0x1810001 },
};

static XPV xpv_list[77] = {
	{ 0, 0, 1 },
	{ 0, 38, 39 },
	{ 0, 4, 5 },
	{ 0, 13, 14 },
	{ 0, 13, 14 },
	{ 0, 4, 5 },
	{ 0, 3, 4 },
	{ 0, 4, 5 },
	{ 0, 17, 18 },
	{ 0, 13, 14 },
	{ 0, 17, 18 },
	{ 0, 30, 31 },
	{ 0, 36, 37 },
	{ 0, 47, 48 },
	{ 0, 38, 39 },
	{ 0, 38, 39 },
	{ 0, 11, 12 },
	{ 0, 37, 38 },
	{ 0, 34, 35 },
	{ 0, 3, 4 },
	{ 0, 1, 2 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 3, 4 },
	{ 0, 1, 2 },
	{ 0, 36, 37 },
	{ 0, 1, 2 },
	{ 0, 2, 3 },
	{ 0, 6, 7 },
	{ 0, 1, 2 },
	{ 0, 9, 10 },
	{ 0, 1, 2 },
	{ 0, 6, 7 },
	{ 0, 1, 2 },
	{ 0, 6, 7 },
	{ 0, 1, 2 },
	{ 0, 10, 11 },
	{ 0, 1, 2 },
	{ 0, 10, 11 },
	{ 0, 1, 2 },
	{ 0, 6, 7 },
	{ 0, 1, 2 },
	{ 0, 11, 12 },
	{ 0, 9, 10 },
	{ 0, 3, 4 },
	{ 0, 9, 10 },
	{ 0, 4, 5 },
	{ 0, 2, 3 },
	{ 0, 4, 5 },
	{ 0, 4, 5 },
	{ 0, 2, 3 },
	{ 0, 1, 2 },
	{ 0, 8, 9 },
	{ 0, 29, 30 },
	{ 0, 8, 9 },
	{ 0, 9, 10 },
	{ 0, 1, 2 },
	{ 0, 8, 9 },
	{ 0, 1, 2 },
	{ 0, 8, 9 },
	{ 0, 8, 9 },
	{ 0, 7, 8 },
	{ 0, 4, 5 },
	{ 0, 1, 2 },
	{ 0, 5, 6 },
	{ 0, 2, 3 },
	{ 0, 10, 11 },
	{ 0, 24, 25 },
	{ 0, 28, 29 },
	{ 0, 1, 2 },
	{ 0, 7, 8 },
	{ 0, 57, 58 },
};

static XPVAV xpvav_list[9] = {
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x1 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x0 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x1 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x1 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x2 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x0 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x1 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x1 },
	{ 0, -1, -1, 0, 0.0, 0, Nullhv, 0, 0, 0x2 },
};

static XPVCV_or_similar xpvcv_list[3] = {
	{ xpvcvix0 },
	{ xpvcvix1 },
	{ xpvcvix2 },
};

static XPVIV xpviv_list[7] = {
	{ 0, 0, 0, 1 },
	{ 0, 0, 0, 0 },
	{ 0, 0, 0, 0 },
	{ 0, 0, 0, 0 },
	{ 0, 0, 0, 1 },
	{ 0, 0, 0, 1 },
	{ 0, 0, 0, 1 },
};

static XPVNV xpvnv_list[2] = {
	{ 0, 5, 6, 1955, 0 },
	{ 0, 4, 5, 1957, 1956 },
};

static XPVIO xpvio_list[1] = {
	{ 0, 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 60, 0, 0, Nullgv, 0, Nullgv, 0, Nullgv, 0, '\000', 0x0 },
};

static int perl_init()
{
	dTHR;
	{
		SV **svp;
		AV *av = (AV*)&sv_list[0];
		av_extend(av, 94);
		svp = AvARRAY(av);
		*svp++ = (SV*)&PL_sv_undef;
		*svp++ = (SV*)&sv_list[1];
		*svp++ = (SV*)&sv_list[2];
		*svp++ = (SV*)&sv_list[3];
		*svp++ = (SV*)&sv_list[4];
		*svp++ = (SV*)&sv_list[5];
		*svp++ = (SV*)&sv_list[6];
		*svp++ = (SV*)&sv_list[7];
		*svp++ = (SV*)&sv_list[8];
		*svp++ = (SV*)&sv_list[9];
		*svp++ = (SV*)&sv_list[10];
		*svp++ = (SV*)&sv_list[11];
		*svp++ = (SV*)&sv_list[12];
		*svp++ = (SV*)&sv_list[13];
		*svp++ = (SV*)&sv_list[14];
		*svp++ = (SV*)&sv_list[15];
		*svp++ = (SV*)&sv_list[16];
		*svp++ = (SV*)&sv_list[17];
		*svp++ = (SV*)&sv_list[18];
		*svp++ = (SV*)&sv_list[19];
		*svp++ = (SV*)&sv_list[20];
		*svp++ = (SV*)&sv_list[21];
		*svp++ = (SV*)&sv_list[22];
		*svp++ = (SV*)&sv_list[23];
		*svp++ = (SV*)&sv_list[24];
		*svp++ = (SV*)&sv_list[25];
		*svp++ = (SV*)&sv_list[26];
		*svp++ = (SV*)&sv_list[27];
		*svp++ = (SV*)&sv_list[28];
		*svp++ = (SV*)&sv_list[29];
		*svp++ = (SV*)&sv_list[30];
		*svp++ = (SV*)&sv_list[31];
		*svp++ = (SV*)&sv_list[32];
		*svp++ = (SV*)&sv_list[33];
		*svp++ = (SV*)&sv_list[34];
		*svp++ = (SV*)&sv_list[35];
		*svp++ = (SV*)&sv_list[36];
		*svp++ = (SV*)&sv_list[37];
		*svp++ = (SV*)&sv_list[38];
		*svp++ = (SV*)&sv_list[39];
		*svp++ = (SV*)&sv_list[40];
		*svp++ = (SV*)&sv_list[41];
		*svp++ = (SV*)&sv_list[42];
		*svp++ = (SV*)&sv_list[43];
		*svp++ = (SV*)&sv_list[44];
		*svp++ = (SV*)&sv_list[45];
		*svp++ = (SV*)&sv_list[46];
		*svp++ = (SV*)&sv_list[47];
		*svp++ = (SV*)&sv_list[48];
		*svp++ = (SV*)&sv_list[49];
		*svp++ = (SV*)&sv_list[50];
		*svp++ = (SV*)&sv_list[51];
		*svp++ = (SV*)&sv_list[52];
		*svp++ = (SV*)&sv_list[53];
		*svp++ = (SV*)&sv_list[54];
		*svp++ = (SV*)&sv_list[55];
		*svp++ = (SV*)&sv_list[56];
		*svp++ = (SV*)&sv_list[57];
		*svp++ = (SV*)&sv_list[58];
		*svp++ = (SV*)&sv_list[59];
		*svp++ = (SV*)&sv_list[60];
		*svp++ = (SV*)&sv_list[61];
		*svp++ = (SV*)&sv_list[62];
		*svp++ = (SV*)&sv_list[63];
		*svp++ = (SV*)&sv_list[64];
		*svp++ = (SV*)&sv_list[65];
		*svp++ = (SV*)&sv_list[66];
		*svp++ = (SV*)&sv_list[67];
		*svp++ = (SV*)&sv_list[68];
		*svp++ = (SV*)&sv_list[69];
		*svp++ = (SV*)&sv_list[70];
		*svp++ = (SV*)&sv_list[71];
		*svp++ = (SV*)&sv_list[72];
		*svp++ = (SV*)&sv_list[73];
		*svp++ = (SV*)&sv_list[74];
		*svp++ = (SV*)&sv_list[75];
		*svp++ = (SV*)&sv_list[76];
		*svp++ = (SV*)&sv_list[77];
		*svp++ = (SV*)&sv_list[78];
		*svp++ = (SV*)&sv_list[79];
		*svp++ = (SV*)&sv_list[80];
		*svp++ = (SV*)&sv_list[81];
		*svp++ = (SV*)&sv_list[82];
		*svp++ = (SV*)&sv_list[83];
		*svp++ = (SV*)&sv_list[84];
		*svp++ = (SV*)&sv_list[85];
		*svp++ = (SV*)&sv_list[86];
		*svp++ = (SV*)&sv_list[87];
		*svp++ = (SV*)&sv_list[88];
		*svp++ = (SV*)&sv_list[89];
		*svp++ = (SV*)&sv_list[90];
		*svp++ = (SV*)&sv_list[91];
		*svp++ = (SV*)&sv_list[92];
		*svp++ = (SV*)&sv_list[93];
		*svp++ = (SV*)&sv_list[94];
		AvFILLp(av) = 94;
	}
	gv_list[0] = gv_fetchpv("main::0", TRUE, SVt_PV);
	SvFLAGS(gv_list[0]) = 0x600d;
	GvFLAGS(gv_list[0]) = 0x2;
	GvLINE(gv_list[0]) = 0;
	SvREFCNT(gv_list[0]) += 3;
	xpv_list[0].xpv_pv = savepvn("", 0);
	pmop_list[0].op_pmregexp = pregcomp(re0, re0 + 3, &pmop_list[0]);
	gv_list[1] = gv_fetchpv("main::ENV", TRUE, SVt_PV);
	SvFLAGS(gv_list[1]) = 0x600d;
	GvFLAGS(gv_list[1]) = 0x2;
	GvLINE(gv_list[1]) = 0;
	SvREFCNT(gv_list[1]) += 36;
	xpv_list[1].xpv_pv = savepvn("/bin:/usr/bin:/sbin:/usr/sbin:/usr/ucb", 38);
	xpv_list[2].xpv_pv = savepvn("PATH", 4);
	xpv_list[3].xpv_pv = savepvn("/usr/ucb/mail", 13);
	xpv_list[4].xpv_pv = savepvn("/usr/bin/mail", 13);
	xpv_list[5].xpv_pv = savepvn("mail", 4);
	xpv_list[6].xpv_pv = savepvn("sys", 3);
	xpv_list[7].xpv_pv = savepvn("HOST", 4);
	xpv_list[8].xpv_pv = savepvn("/usr/bin/hostname", 17);
	xpv_list[9].xpv_pv = savepvn("/bin/hostname", 13);
	xpv_list[10].xpv_pv = savepvn("/usr/ucb/hostname", 17);
	gv_list[2] = gv_fetchpv("Getopt::Long::ignorecase", TRUE, SVt_PV);
	SvFLAGS(gv_list[2]) = 0x600d;
	GvFLAGS(gv_list[2]) = 0x12;
	GvLINE(gv_list[2]) = 36;
	SvREFCNT(gv_list[2]) += 3;
	GvSV(gv_list[2]) = &sv_list[106];
	GvFILEGV(gv_list[2]) = gv_list[3];
	gv_list[3] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/vars.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[3]) = 0x600d;
	GvFLAGS(gv_list[3]) = 0x2;
	GvLINE(gv_list[3]) = 3;
	SvREFCNT(gv_list[3]) += 19;
	GvSV(gv_list[3]) = &sv_list[107];
	xpv_list[11].xpv_pv = savepvn("/usr/lib/perl5/5.00502/vars.pm", 30);
	GvFILEGV(gv_list[3]) = gv_list[4];
	gv_list[4] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/AutoLoader.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[4]) = 0x600d;
	GvFLAGS(gv_list[4]) = 0x2;
	GvLINE(gv_list[4]) = 20;
	SvREFCNT(gv_list[4]) += 49;
	GvSV(gv_list[4]) = &sv_list[108];
	xpv_list[12].xpv_pv = savepvn("/usr/lib/perl5/5.00502/AutoLoader.pm", 36);
	GvFILEGV(gv_list[4]) = gv_list[5];
	gv_list[5] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/i586-linux/DynaLoader.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[5]) = 0x600d;
	GvFLAGS(gv_list[5]) = 0x2;
	GvLINE(gv_list[5]) = 9;
	SvREFCNT(gv_list[5]) += 46;
	GvSV(gv_list[5]) = &sv_list[109];
	xpv_list[13].xpv_pv = savepvn("/usr/lib/perl5/5.00502/i586-linux/DynaLoader.pm", 47);
	GvFILEGV(gv_list[5]) = gv_list[6];
	gv_list[6] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/i586-linux/B.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[6]) = 0x600d;
	GvFLAGS(gv_list[6]) = 0x2;
	GvLINE(gv_list[6]) = 2;
	SvREFCNT(gv_list[6]) += 125;
	GvSV(gv_list[6]) = &sv_list[110];
	xpv_list[14].xpv_pv = savepvn("/usr/lib/perl5/5.00502/i586-linux/B.pm", 38);
	GvFILEGV(gv_list[6]) = gv_list[7];
	gv_list[7] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/i586-linux/O.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[7]) = 0x600d;
	GvFLAGS(gv_list[7]) = 0x2;
	GvLINE(gv_list[7]) = 0;
	SvREFCNT(gv_list[7]) += 9;
	GvSV(gv_list[7]) = &sv_list[111];
	xpv_list[15].xpv_pv = savepvn("/usr/lib/perl5/5.00502/i586-linux/O.pm", 38);
	GvFILEGV(gv_list[7]) = gv_list[8];
	gv_list[8] = gv_fetchpv("main::_<log_mail.pl", TRUE, SVt_PV);
	SvFLAGS(gv_list[8]) = 0x600d;
	GvFLAGS(gv_list[8]) = 0x0;
	GvLINE(gv_list[8]) = 0;
	SvREFCNT(gv_list[8]) += 66;
	GvSV(gv_list[8]) = &sv_list[112];
	xpv_list[16].xpv_pv = savepvn("log_mail.pl", 11);
	gv_list[9] = gv_fetchpv("main::GetOptions", TRUE, SVt_PV);
	SvFLAGS(gv_list[9]) = 0x600d;
	GvFLAGS(gv_list[9]) = 0x86;
	GvLINE(gv_list[9]) = 166;
	SvREFCNT(gv_list[9]) += 2;
	GvSV(gv_list[9]) = &sv_list[114];
	GvCV(gv_list[9]) = (CV*)&sv_list[115];
	gv_list[10] = gv_fetchpv("Getopt::Long::GetOptions", TRUE, SVt_PV);
	SvFLAGS(gv_list[10]) = 0x600d;
	GvFLAGS(gv_list[10]) = 0x82;
	GvLINE(gv_list[10]) = 36;
	SvREFCNT(gv_list[10]) += 2;
	GvSV(gv_list[10]) = &sv_list[116];
	GvCV(gv_list[10]) = (CV*)&sv_list[115];
	GvFILEGV(gv_list[10]) = gv_list[3];
	CvGV(&sv_list[115]) = gv_list[10];
	gv_list[11] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/Getopt/Long.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[11]) = 0x600d;
	GvFLAGS(gv_list[11]) = 0x2;
	GvLINE(gv_list[11]) = 45;
	SvREFCNT(gv_list[11]) += 16;
	GvSV(gv_list[11]) = &sv_list[117];
	xpv_list[17].xpv_pv = savepvn("/usr/lib/perl5/5.00502/Getopt/Long.pm", 37);
	GvFILEGV(gv_list[11]) = gv_list[8];
	CvFILEGV(&sv_list[115]) = gv_list[11];
	hv0 = gv_stashpv("Getopt::Long", TRUE);
	CvSTASH(&sv_list[115]) = hv0;
	GvFILEGV(gv_list[9]) = gv_list[12];
	gv_list[12] = gv_fetchpv("main::_</usr/lib/perl5/5.00502/Exporter.pm", TRUE, SVt_PV);
	SvFLAGS(gv_list[12]) = 0x600d;
	GvFLAGS(gv_list[12]) = 0x2;
	GvLINE(gv_list[12]) = 9;
	SvREFCNT(gv_list[12]) += 121;
	GvSV(gv_list[12]) = &sv_list[118];
	xpv_list[18].xpv_pv = savepvn("/usr/lib/perl5/5.00502/Exporter.pm", 34);
	GvFILEGV(gv_list[12]) = gv_list[4];
	xpv_list[19].xpv_pv = savepvn("D:i", 3);
	xpv_list[20].xpv_pv = savepvn("H", 1);
	xpv_list[21].xpv_pv = savepvn("s=s", 3);
	xpv_list[22].xpv_pv = savepvn("S=i", 3);
	xpv_list[23].xpv_pv = savepvn("o=s", 3);
	xpv_list[24].xpv_pv = savepvn("m=s", 3);
	xpv_list[25].xpv_pv = savepvn("t=s", 3);
	xpv_list[26].xpv_pv = savepvn("c=s", 3);
	xpv_list[27].xpv_pv = savepvn("h=s", 3);
	xpv_list[28].xpv_pv = savepvn("M=s", 3);
	gv_list[13] = gv_fetchpv("main::usage", TRUE, SVt_PV);
	SvFLAGS(gv_list[13]) = 0x600d;
	GvFLAGS(gv_list[13]) = 0x2;
	GvLINE(gv_list[13]) = 54;
	SvREFCNT(gv_list[13]) += 3;
	GvSV(gv_list[13]) = &sv_list[129];
	GvCV(gv_list[13]) = (CV*)&sv_list[130];
	xpvnv_list[0].xpv_pv = savepvn("$prog",5);
	{
		SV **svp;
		AV *av = (AV*)&sv_list[132];
		av_extend(av, 4);
		svp = AvARRAY(av);
		*svp++ = (SV*)&PL_sv_undef;
		*svp++ = (SV*)&sv_list[133];
		*svp++ = (SV*)&PL_sv_undef;
		*svp++ = (SV*)&PL_sv_undef;
		*svp++ = (SV*)&PL_sv_undef;
		AvFILLp(av) = 4;
	}
	av_extend((AV*)&sv_list[135], 3);
	{
		SV **svp;
		AV *av = (AV*)&sv_list[134];
		av_extend(av, 4);
		svp = AvARRAY(av);
		*svp++ = (SV*)(AV*)&sv_list[135];
		*svp++ = (SV*)&sv_list[1];
		*svp++ = (SV*)&sv_list[136];
		*svp++ = (SV*)&sv_list[137];
		*svp++ = (SV*)&sv_list[138];
		AvFILLp(av) = 4;
	}
	{
		SV **svp;
		AV *av = (AV*)&sv_list[131];
		av_extend(av, 1);
		svp = AvARRAY(av);
		*svp++ = (SV*)(AV*)&sv_list[132];
		*svp++ = (SV*)(AV*)&sv_list[134];
		AvFILLp(av) = 1;
	}
	CvGV(&sv_list[130]) = gv_list[13];
	CvFILEGV(&sv_list[130]) = gv_list[8];
	hv1 = gv_stashpv("main", TRUE);
	CvSTASH(&sv_list[130]) = hv1;
	GvFILEGV(gv_list[13]) = gv_list[8];
	gv_list[14] = gv_fetchpv("main::opt_D", TRUE, SVt_PV);
	SvFLAGS(gv_list[14]) = 0x600d;
	GvFLAGS(gv_list[14]) = 0x0;
	GvLINE(gv_list[14]) = 55;
	SvREFCNT(gv_list[14]) += 2;
	GvSV(gv_list[14]) = &sv_list[139];
	GvFILEGV(gv_list[14]) = gv_list[8];
	gv_list[15] = gv_fetchpv("main::opt_H", TRUE, SVt_PV);
	SvFLAGS(gv_list[15]) = 0x600d;
	GvFLAGS(gv_list[15]) = 0x0;
	GvLINE(gv_list[15]) = 56;
	SvREFCNT(gv_list[15]) += 2;
	GvSV(gv_list[15]) = &sv_list[140];
	GvFILEGV(gv_list[15]) = gv_list[8];
	gv_list[16] = gv_fetchpv("main::opt_s", TRUE, SVt_PV);
	SvFLAGS(gv_list[16]) = 0x600d;
	GvFLAGS(gv_list[16]) = 0x0;
	GvLINE(gv_list[16]) = 57;
	SvREFCNT(gv_list[16]) += 2;
	GvSV(gv_list[16]) = &sv_list[141];
	GvFILEGV(gv_list[16]) = gv_list[8];
	gv_list[17] = gv_fetchpv("main::opt_S", TRUE, SVt_PV);
	SvFLAGS(gv_list[17]) = 0x600d;
	GvFLAGS(gv_list[17]) = 0x0;
	GvLINE(gv_list[17]) = 58;
	SvREFCNT(gv_list[17]) += 2;
	GvSV(gv_list[17]) = &sv_list[142];
	GvFILEGV(gv_list[17]) = gv_list[8];
	gv_list[18] = gv_fetchpv("main::opt_o", TRUE, SVt_PV);
	SvFLAGS(gv_list[18]) = 0x600d;
	GvFLAGS(gv_list[18]) = 0x0;
	GvLINE(gv_list[18]) = 59;
	SvREFCNT(gv_list[18]) += 2;
	GvSV(gv_list[18]) = &sv_list[143];
	GvFILEGV(gv_list[18]) = gv_list[8];
	gv_list[19] = gv_fetchpv("main::opt_c", TRUE, SVt_PV);
	SvFLAGS(gv_list[19]) = 0x600d;
	GvFLAGS(gv_list[19]) = 0x0;
	GvLINE(gv_list[19]) = 60;
	SvREFCNT(gv_list[19]) += 2;
	GvSV(gv_list[19]) = &sv_list[144];
	GvFILEGV(gv_list[19]) = gv_list[8];
	gv_list[20] = gv_fetchpv("main::opt_t", TRUE, SVt_PV);
	SvFLAGS(gv_list[20]) = 0x600d;
	GvFLAGS(gv_list[20]) = 0x0;
	GvLINE(gv_list[20]) = 61;
	SvREFCNT(gv_list[20]) += 2;
	GvSV(gv_list[20]) = &sv_list[145];
	GvFILEGV(gv_list[20]) = gv_list[8];
	xpv_list[29].xpv_pv = savepvn("_", 1);
	xpv_list[30].xpv_pv = savepvn("cat /l/adm/log_mail_key 2> /dev/null", 36);
	gv_list[21] = gv_fetchpv("main::opt_m", TRUE, SVt_PV);
	SvFLAGS(gv_list[21]) = 0x600d;
	GvFLAGS(gv_list[21]) = 0x2;
	GvLINE(gv_list[21]) = 62;
	SvREFCNT(gv_list[21]) += 3;
	GvSV(gv_list[21]) = &sv_list[148];
	GvFILEGV(gv_list[21]) = gv_list[8];
	gv_list[22] = gv_fetchpv("main::opt_h", TRUE, SVt_PV);
	SvFLAGS(gv_list[22]) = 0x600d;
	GvFLAGS(gv_list[22]) = 0x2;
	GvLINE(gv_list[22]) = 63;
	SvREFCNT(gv_list[22]) += 3;
	GvSV(gv_list[22]) = &sv_list[149];
	GvFILEGV(gv_list[22]) = gv_list[8];
	gv_list[23] = gv_fetchpv("main::opt_M", TRUE, SVt_PV);
	SvFLAGS(gv_list[23]) = 0x600d;
	GvFLAGS(gv_list[23]) = 0x0;
	GvLINE(gv_list[23]) = 64;
	SvREFCNT(gv_list[23]) += 2;
	GvSV(gv_list[23]) = &sv_list[150];
	GvFILEGV(gv_list[23]) = gv_list[8];
	gv_list[24] = gv_fetchpv("main::ARGV", TRUE, SVt_PV);
	SvFLAGS(gv_list[24]) = 0x600d;
	GvFLAGS(gv_list[24]) = 0x2;
	GvLINE(gv_list[24]) = 0;
	SvREFCNT(gv_list[24]) += 2;
	xpv_list[31].xpv_pv = savepvn(" ", 1);
	xpv_list[32].xpv_pv = savepvn(": ", 2);
	xpv_list[33].xpv_pv = savepvn("Type: ", 6);
	xpv_list[34].xpv_pv = savepvn("\n", 1);
	xpv_list[35].xpv_pv = savepvn("Message: ", 9);
	xpv_list[36].xpv_pv = savepvn("\n", 1);
	xpv_list[37].xpv_pv = savepvn("Host: ", 6);
	xpv_list[38].xpv_pv = savepvn("\n", 1);
	xpv_list[39].xpv_pv = savepvn("Code: ", 6);
	xpv_list[40].xpv_pv = savepvn("\n", 1);
	xpv_list[41].xpv_pv = savepvn("Offender: ", 10);
	xpv_list[42].xpv_pv = savepvn("\n", 1);
	xpv_list[43].xpv_pv = savepvn("Severity: ", 10);
	xpv_list[44].xpv_pv = savepvn("\n", 1);
	xpv_list[45].xpv_pv = savepvn("Time: ", 6);
	xpv_list[46].xpv_pv = savepvn("\n", 1);
	cop_list[0].cop_filegv = gv_list[8];
	cop_list[0].cop_stash = hv1;
	xpv_list[47].xpv_pv = savepvn("Net/SMTP.pm", 11);
	xpv_list[48].xpv_pv = savepvn("Net::SMTP", 9);
	xpv_list[49].xpv_pv = savepvn("new", 3);
	xpv_list[50].xpv_pv = savepvn("bigsister", 9);
	xpv_list[51].xpv_pv = savepvn("mail", 4);
	pmop_list[1].op_pmregexp = pregcomp(re1, re1 + 3, &pmop_list[1]);
	cop_list[1].cop_filegv = gv_list[8];
	cop_list[1].cop_stash = hv1;
	cop_list[2].cop_filegv = gv_list[8];
	cop_list[2].cop_stash = hv1;
	xpv_list[52].xpv_pv = savepvn("to", 2);
	xpv_list[53].xpv_pv = savepvn("data", 4);
	xpv_list[54].xpv_pv = savepvn("To: ", 4);
	xpv_list[55].xpv_pv = savepvn(", ", 2);
	pmop_list[2].op_pmregexp = pregcomp(re2, re2 + 3, &pmop_list[2]);
	xpv_list[56].xpv_pv = savepvn("\n", 1);
	xpv_list[57].xpv_pv = savepvn("datasend", 8);
	xpv_list[58].xpv_pv = savepvn("From: Big Sister <bigsister>\n", 29);
	xpv_list[59].xpv_pv = savepvn("datasend", 8);
	xpv_list[60].xpv_pv = savepvn("Subject: ", 9);
	xpv_list[61].xpv_pv = savepvn("\n", 1);
	xpv_list[62].xpv_pv = savepvn("datasend", 8);
	xpv_list[63].xpv_pv = savepvn("\n", 1);
	xpv_list[64].xpv_pv = savepvn("datasend", 8);
	xpv_list[65].xpv_pv = savepvn("datasend", 8);
	xpv_list[66].xpv_pv = savepvn("dataend", 7);
	xpv_list[67].xpv_pv = savepvn("quit", 4);
	gv_list[25] = gv_fetchpv("main::untaint", TRUE, SVt_PV);
	SvFLAGS(gv_list[25]) = 0x600d;
	GvFLAGS(gv_list[25]) = 0x2;
	GvLINE(gv_list[25]) = 106;
	SvREFCNT(gv_list[25]) += 4;
	GvSV(gv_list[25]) = &sv_list[190];
	GvCV(gv_list[25]) = (CV*)&sv_list[191];
	xpvnv_list[1].xpv_pv = savepvn("$val",4);
	{
		SV **svp;
		AV *av = (AV*)&sv_list[193];
		av_extend(av, 3);
		svp = AvARRAY(av);
		*svp++ = (SV*)&PL_sv_undef;
		*svp++ = (SV*)&sv_list[194];
		*svp++ = (SV*)&PL_sv_undef;
		*svp++ = (SV*)&PL_sv_undef;
		AvFILLp(av) = 3;
	}
	av_extend((AV*)&sv_list[196], 3);
	{
		SV **svp;
		AV *av = (AV*)&sv_list[195];
		av_extend(av, 3);
		svp = AvARRAY(av);
		*svp++ = (SV*)(AV*)&sv_list[196];
		*svp++ = (SV*)&sv_list[197];
		*svp++ = (SV*)&sv_list[198];
		*svp++ = (SV*)&sv_list[199];
		AvFILLp(av) = 3;
	}
	{
		SV **svp;
		AV *av = (AV*)&sv_list[192];
		av_extend(av, 1);
		svp = AvARRAY(av);
		*svp++ = (SV*)(AV*)&sv_list[193];
		*svp++ = (SV*)(AV*)&sv_list[195];
		AvFILLp(av) = 1;
	}
	CvGV(&sv_list[191]) = gv_list[25];
	CvFILEGV(&sv_list[191]) = gv_list[8];
	CvSTASH(&sv_list[191]) = hv1;
	GvFILEGV(gv_list[25]) = gv_list[8];
	gv_list[26] = gv_fetchpv("main::MAIL", TRUE, SVt_PV);
	SvFLAGS(gv_list[26]) = 0x600d;
	GvFLAGS(gv_list[26]) = 0x2;
	GvLINE(gv_list[26]) = 108;
	SvREFCNT(gv_list[26]) += 4;
	GvSV(gv_list[26]) = &sv_list[200];
	GvFILEGV(gv_list[26]) = gv_list[8];
	GvIOp(gv_list[26]) = (IO*)&sv_list[201];
	SvSTASH((IO*)&sv_list[201]) = 0;
	xpv_list[68].xpv_pv = savepvn("|", 1);
	xpv_list[69].xpv_pv = savepvn(" -s '", 5);
	xpv_list[70].xpv_pv = savepvn("' ", 2);
	xpv_list[71].xpv_pv = savepvn(" >&2 | cat", 10);
	gv_list[27] = gv_fetchpv("main::STDERR", TRUE, SVt_PV);
	SvFLAGS(gv_list[27]) = 0x600d;
	GvFLAGS(gv_list[27]) = 0x2;
	GvLINE(gv_list[27]) = 0;
	SvREFCNT(gv_list[27]) += 5;
	cop_list[3].cop_filegv = gv_list[8];
	cop_list[3].cop_stash = hv1;
	xpv_list[72].xpv_pv = savepvn("cannot invoke mail prog\n", 24);
	cop_list[4].cop_filegv = gv_list[8];
	cop_list[4].cop_stash = hv1;
	gv_list[28] = gv_fetchpv("main::?", TRUE, SVt_PV);
	SvFLAGS(gv_list[28]) = 0x600d;
	GvFLAGS(gv_list[28]) = 0x2;
	GvLINE(gv_list[28]) = 115;
	SvREFCNT(gv_list[28]) += 4;
	cop_list[5].cop_filegv = gv_list[8];
	cop_list[5].cop_stash = hv1;
	xpv_list[73].xpv_pv = savepvn("mail program returned error ", 28);
	xpv_list[74].xpv_pv = savepvn("\n", 1);
	xpv_list[75].xpv_pv = savepvn("Usage: ", 7);
	xpv_list[76].xpv_pv = savepvn(" [-D debug] [-m message] [-s severity] [-h host|-u user]\n", 57);
	gv_list[29] = gv_fetchpv("main::_", TRUE, SVt_PV);
	SvFLAGS(gv_list[29]) = 0x600d;
	GvFLAGS(gv_list[29]) = 0x2;
	GvLINE(gv_list[29]) = 0;
	SvREFCNT(gv_list[29]) += 478;
	pmop_list[3].op_pmregexp = pregcomp(re3, re3 + 6, &pmop_list[3]);
	gv_list[30] = gv_fetchpv("main::1", TRUE, SVt_PV);
	SvFLAGS(gv_list[30]) = 0x600d;
	GvFLAGS(gv_list[30]) = 0x2;
	GvLINE(gv_list[30]) = 140;
	SvREFCNT(gv_list[30]) += 23;
	PL_main_root = (OP*)&listop_list[5];
	PL_main_start = &op_list[0];
	PL_curpad = AvARRAY((AV*)&sv_list[0]);
	return 0;
}
#include "cc_runtime.h"

static
PP(pp_main)
{
	MAGIC *mg;
	SV **svp, *sv, *src, *dst, *left, *right;
	double d_tmp1, d_tmp2, d_tmp3, d_tmp4, d_tmp5, d_tmp6, d_tmp7, d_tmp8, d_tmp9, d_tmp10, d_tmp11, d_tmp12, d_tmp13, d_tmp14, d_tmp15, d_tmp16, d_tmp17, d_tmp18, d_tmp19, d_tmp20, d_tmp21, d_tmp22, d_tmp23, d_tmp24, d_tmp25, d_tmp26, d_tmp27, d_tmp28, d_tmp29, d_tmp30, d_tmp31, d_tmp32, d_tmp33, d_tmp34, d_tmp35, d_tmp36, d_tmp37, d_tmp38, d_tmp39, d_tmp40, d_tmp41, d_tmp42, d_tmp43, d_tmp44, d_tmp45, d_tmp46, d_tmp47, d_tmp48, d_tmp49, d_tmp50, d_tmp51, d_tmp52, d_tmp53, d_tmp54, d_tmp55, d_tmp56, d_tmp57, d_tmp58, d_tmp59, d_tmp60, d_tmp61, d_tmp62, d_tmp63, d_tmp64, d_tmp65, d_tmp66, d_tmp67, d_tmp68, d_tmp69, d_tmp70, d_tmp71, d_tmp72, d_tmp73, d_tmp74, d_tmp75, d_tmp76, d_tmp77, d_tmp78, d_tmp79, d_tmp80, d_tmp81, d_tmp82, d_tmp83, d_tmp84, d_tmp85, d_tmp86, d_tmp87, d_tmp88, d_tmp89, d_tmp90, d_tmp91, d_tmp92, d_tmp93, d_tmp94;
	I32 oldsave;
	IV i_tmp1, i_tmp2, i_tmp3, i_tmp4, i_tmp5, i_tmp6, i_tmp7, i_tmp8, i_tmp9, i_tmp10, i_tmp11, i_tmp12, i_tmp13, i_tmp14, i_tmp15, i_tmp16, i_tmp17, i_tmp18, i_tmp19, i_tmp20, i_tmp21, i_tmp22, i_tmp23, i_tmp24, i_tmp25, i_tmp26, i_tmp27, i_tmp28, i_tmp29, i_tmp30, i_tmp31, i_tmp32, i_tmp33, i_tmp34, i_tmp35, i_tmp36, i_tmp37, i_tmp38, i_tmp39, i_tmp40, i_tmp41, i_tmp42, i_tmp43, i_tmp44, i_tmp45, i_tmp46, i_tmp47, i_tmp48, i_tmp49, i_tmp50, i_tmp51, i_tmp52, i_tmp53, i_tmp54, i_tmp55, i_tmp56, i_tmp57, i_tmp58, i_tmp59, i_tmp60, i_tmp61, i_tmp62, i_tmp63, i_tmp64, i_tmp65, i_tmp66, i_tmp67, i_tmp68, i_tmp69, i_tmp70, i_tmp71, i_tmp72, i_tmp73, i_tmp74, i_tmp75, i_tmp76, i_tmp77, i_tmp78, i_tmp79, i_tmp80, i_tmp81, i_tmp82, i_tmp83, i_tmp84, i_tmp85, i_tmp86, i_tmp87, i_tmp88, i_tmp89, i_tmp90, i_tmp91, i_tmp92, i_tmp93, i_tmp94;
	djSP;
  lab_82a9900:
	PL_op = &op_list[1];
	DOOP(pp_enter);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[0]));
	SAVECLEARSV(PL_curpad[1]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[1], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[1]);
	PUSHs((SV*)&sv_list[95]);
	PL_op = (OP*)&pmop_list[0];
	DOOP(pp_subst);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[96]);
	XPUSHs((SV*)gv_list[1]);
	PL_op = (OP*)&unop_list[0];
	DOOP(pp_rv2hv);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[97]);
	PL_op = (OP*)&binop_list[0];
	DOOP(pp_helem);
	dst = POPs; src = TOPs;
	MAYBE_TAINT_SASSIGN_SRC(src);
	SvSetSV(dst, src);
	SvSETMAGIC(dst);
	SETs(dst);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	SAVECLEARSV(PL_curpad[2]);
	SvSetSV(PL_curpad[2], &sv_list[98]);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[2]);
	PL_op = (OP*)&unop_list[1];
	DOOP(pp_ftfile);
	if (SvTRUE(TOPs)) goto lab_8138f88;
	*sp--;
  lab_821dfb0:
	SvSetSV(PL_curpad[2], &sv_list[99]);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[2]);
  lab_8138f88:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[2]);
	PL_op = (OP*)&unop_list[2];
	DOOP(pp_ftfile);
	if (SvTRUE(TOPs)) goto lab_82a3e58;
	*sp--;
  lab_821dc60:
	SvSetSV(PL_curpad[2], &sv_list[100]);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[2]);
  lab_82a3e58:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	SAVECLEARSV(PL_curpad[3]);
	SAVECLEARSV(PL_curpad[4]);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[3]);
	PUSHs((SV*)PL_curpad[4]);
	POPMARK;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	SAVECLEARSV(PL_curpad[5]);
	SvSetSV(PL_curpad[5], &sv_list[101]);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs((SV*)gv_list[1]);
	PL_op = (OP*)&unop_list[3];
	DOOP(pp_rv2hv);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[102]);
	PL_op = (OP*)&binop_list[1];
	DOOP(pp_helem);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[3], sv);
	if (SvTRUE(TOPs)) goto lab_80da378;
	*sp--;
  lab_80da410:
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[103]);
	PL_op = (OP*)&unop_list[4];
	DOOP(pp_backtick);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[3], sv);
  lab_80da378:
	if (SvTRUE(TOPs)) goto lab_829fbd0;
	*sp--;
  lab_80cf7f8:
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[104]);
	PL_op = (OP*)&unop_list[5];
	DOOP(pp_backtick);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[3], sv);
  lab_829fbd0:
	if (SvTRUE(TOPs)) goto lab_829fcd8;
	*sp--;
  lab_829fb68:
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[105]);
	PL_op = (OP*)&unop_list[6];
	DOOP(pp_backtick);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[3], sv);
  lab_829fcd8:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[3]);
	PL_op = (OP*)&unop_list[7];
	DOOP(pp_schomp);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[113]);
	XPUSHs(GvSV(gv_list[2]));
	dst = POPs; src = TOPs;
	MAYBE_TAINT_SASSIGN_SRC(src);
	SvSetSV(dst, src);
	SvSETMAGIC(dst);
	SETs(dst);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 10);
	PUSHs((SV*)&sv_list[119]);
	PUSHs((SV*)&sv_list[120]);
	PUSHs((SV*)&sv_list[121]);
	PUSHs((SV*)&sv_list[122]);
	PUSHs((SV*)&sv_list[123]);
	PUSHs((SV*)&sv_list[124]);
	PUSHs((SV*)&sv_list[125]);
	PUSHs((SV*)&sv_list[126]);
	PUSHs((SV*)&sv_list[127]);
	PUSHs((SV*)&sv_list[128]);
	XPUSHs((SV*)gv_list[9]);
	PL_op = (OP*)&unop_list[8];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[8])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	if (SvTRUE(TOPs)) goto lab_82a4410;
	*sp--;
  lab_82a0078:
	PUSHMARK(sp);
	XPUSHs((SV*)gv_list[13]);
	PL_op = (OP*)&unop_list[9];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[9])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
  lab_82a4410:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[14]));
	SAVECLEARSV(PL_curpad[12]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[12], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[15]));
	SAVECLEARSV(PL_curpad[13]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[13], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[16]));
	SAVECLEARSV(PL_curpad[14]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[14], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[17]));
	SAVECLEARSV(PL_curpad[15]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[15], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[18]));
	SAVECLEARSV(PL_curpad[16]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[16], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[19]));
	SAVECLEARSV(PL_curpad[17]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[17], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[20]));
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[146]);
	PL_op = (OP*)&binop_list[2];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[147]);
	PL_op = (OP*)&unop_list[10];
	DOOP(pp_backtick);
	DOOP(pp_concat);
	SAVECLEARSV(PL_curpad[18]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[18], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[21]));
	sv = POPs;
	if (!SvTRUE(sv)) goto lab_82a5150;
  lab_82a5110:
	XPUSHs(GvSV(gv_list[21]));
  lab_82a4f58:
	SAVECLEARSV(PL_curpad[22]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[22], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[22]));
	if (!SvTRUE(TOPs)) goto lab_82a55a8;
	*sp--;
  lab_82a5238:
	XPUSHs(GvSV(gv_list[22]));
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[3], sv);
  lab_82a55a8:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[23]));
	SAVECLEARSV(PL_curpad[23]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[23], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[151]);
	XPUSHs((SV*)gv_list[24]);
	PL_op = (OP*)&unop_list[11];
	DOOP(pp_rv2av);
	DOOP(pp_join);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[4], sv);
	if (SvTRUE(TOPs)) goto lab_82a5988;
	*sp--;
  lab_82a5700:
	SvSetSV(PL_curpad[4], PL_curpad[5]);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[4]);
  lab_82a5988:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	d_tmp13 = SvNV(PL_curpad[13]);
	if (!d_tmp13) goto lab_82a5c98;
  lab_82a5808:
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[3]);
	PUSHs((SV*)&sv_list[152]);
	PL_op = (OP*)&binop_list[4];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[14]);
	PL_op = (OP*)&binop_list[5];
	DOOP(pp_concat);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[14], sv);
  lab_82a5c98:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 2);
	PUSHs((SV*)&sv_list[153]);
	PUSHs((SV*)PL_curpad[18]);
	PL_op = (OP*)&binop_list[6];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[154]);
	PL_op = (OP*)&binop_list[7];
	DOOP(pp_concat);
	SAVECLEARSV(PL_curpad[28]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[28], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[155]);
	PUSHs((SV*)PL_curpad[22]);
	PL_op = (OP*)&binop_list[8];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[156]);
	PL_op = (OP*)&binop_list[9];
	DOOP(pp_concat);
	DOOP(pp_concat);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[157]);
	PUSHs((SV*)PL_curpad[3]);
	PL_op = (OP*)&binop_list[11];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[158]);
	PL_op = (OP*)&binop_list[12];
	DOOP(pp_concat);
	DOOP(pp_concat);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	d_tmp17 = SvNV(PL_curpad[17]);
	if (!d_tmp17) goto lab_82a67e0;
  lab_82a6010:
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[159]);
	PUSHs((SV*)PL_curpad[17]);
	PL_op = (OP*)&binop_list[14];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[160]);
	PL_op = (OP*)&binop_list[15];
	DOOP(pp_concat);
	DOOP(pp_concat);
  lab_82a67e0:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	d_tmp16 = SvNV(PL_curpad[16]);
	if (!d_tmp16) goto lab_82a69e8;
  lab_82a6218:
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[161]);
	PUSHs((SV*)PL_curpad[16]);
	PL_op = (OP*)&binop_list[17];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[162]);
	PL_op = (OP*)&binop_list[18];
	DOOP(pp_concat);
	DOOP(pp_concat);
  lab_82a69e8:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	d_tmp15 = SvNV(PL_curpad[15]);
	if (!d_tmp15) goto lab_82a6b18;
  lab_82a6818:
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[163]);
	PUSHs((SV*)PL_curpad[15]);
	PL_op = (OP*)&binop_list[20];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[164]);
	PL_op = (OP*)&binop_list[21];
	DOOP(pp_concat);
	DOOP(pp_concat);
  lab_82a6b18:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[165]);
	PL_op = &op_list[3];
	DOOP(pp_time);
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[166]);
	PL_op = (OP*)&binop_list[24];
	DOOP(pp_concat);
	DOOP(pp_concat);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	d_tmp23 = SvNV(PL_curpad[23]);
	if (!d_tmp23) goto lab_82a9840;
  lab_82a9860:
	PL_op = &op_list[4];
	DOOP(pp_enter);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PL_curcop = (COP*)(OP*)&cop_list[0];
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[167]);
	PL_op = (OP*)&unop_list[12];
	PP_EVAL(pp_require, ((OP*)&unop_list[12])->op_next);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	SAVECLEARSV(PL_curpad[57]);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)&sv_list[168]);
	PUSHs((SV*)PL_curpad[23]);
	PUSHs((SV*)&sv_list[169]);
	PL_op = (OP*)&unop_list[13];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[14];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[14])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	SAVECLEARSV(PL_curpad[58]);
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[58], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[170]);
	PUSHs((SV*)&sv_list[171]);
	PL_op = (OP*)&unop_list[15];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[16];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[16])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	PL_op = (OP*)&pmop_list[1];
	DOOP(pp_pushre);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[4]);
	PUSHs((SV*)&sv_list[172]);
	PL_op = (OP*)&listop_list[1];
	DOOP(pp_split);
	PL_curcop = (COP*)(OP*)&cop_list[1];
	PL_op = (OP*)&loop_list[0];
	DOOP(pp_enteriter);
  lab_82a7728:
	PL_op = &op_list[6];
	DOOP(pp_iter);
	if (!SvTRUE(TOPs)) goto lab_82a7848;
	*sp--;
  lab_82a76a0:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)PL_curpad[57]);
	PUSHs((SV*)&sv_list[173]);
	PL_op = (OP*)&unop_list[17];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[18];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[18])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	PP_UNSTACK;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	goto lab_82a7728;
  lab_82a7848:
	PL_op = (OP*)&binop_list[27];
	DOOP(pp_leaveloop);
  lab_82a7960:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[174]);
	PL_op = (OP*)&unop_list[19];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[20];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[20])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[175]);
	PUSHMARK(sp);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[176]);
	PL_op = (OP*)&pmop_list[2];
	DOOP(pp_pushre);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[4]);
	PUSHs((SV*)&sv_list[177]);
	PL_op = (OP*)&listop_list[2];
	DOOP(pp_split);
	DOOP(pp_join);
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[178]);
	PL_op = (OP*)&binop_list[29];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[179]);
	PL_op = (OP*)&unop_list[21];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[22];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[22])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[180]);
	PUSHs((SV*)&sv_list[181]);
	PL_op = (OP*)&unop_list[23];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[24];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[24])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[182]);
	PUSHs((SV*)PL_curpad[14]);
	PL_op = (OP*)&binop_list[30];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[183]);
	PL_op = (OP*)&binop_list[31];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[184]);
	PL_op = (OP*)&unop_list[25];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[26];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[26])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[185]);
	PUSHs((SV*)&sv_list[186]);
	PL_op = (OP*)&unop_list[27];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[28];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[28])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 3);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)PL_curpad[28]);
	PUSHs((SV*)&sv_list[187]);
	PL_op = (OP*)&unop_list[29];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[30];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[30])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[188]);
	PL_op = (OP*)&unop_list[31];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[32];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[32])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 2);
	PUSHs((SV*)PL_curpad[58]);
	PUSHs((SV*)&sv_list[189]);
	PL_op = (OP*)&unop_list[33];
	DOOP(pp_method);
	PL_op = (OP*)&unop_list[34];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[34])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	PL_op = (OP*)&listop_list[4];
	DOOP(pp_leave);
  lab_8138db0:
	PL_op = (OP*)&listop_list[5];
	DOOP(pp_leave);
	PUTBACK;
	return 0;
  lab_82a9840:
	PL_op = &op_list[7];
	DOOP(pp_enter);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[14]);
	XPUSHs((SV*)gv_list[25]);
	PL_op = (OP*)&unop_list[35];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[35])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[14], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[4]);
	XPUSHs((SV*)gv_list[25]);
	PL_op = (OP*)&unop_list[36];
	DOOP(pp_entersub);
	if (PL_op != ((OP*)&unop_list[36])->op_next) PL_op = (*PL_op->op_ppaddr)(ARGS);
	SPAGAIN;
	sv = POPs;
	MAYBE_TAINT_SASSIGN_SRC(sv);
	SvSetSV(PL_curpad[4], sv);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs((SV*)gv_list[26]);
	EXTEND(sp, 2);
	PUSHs((SV*)&sv_list[202]);
	PUSHs((SV*)PL_curpad[2]);
	PL_op = (OP*)&binop_list[32];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[203]);
	PL_op = (OP*)&binop_list[33];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[14]);
	PL_op = (OP*)&binop_list[34];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[204]);
	PL_op = (OP*)&binop_list[35];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[4]);
	PL_op = (OP*)&binop_list[36];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[205]);
	PL_op = (OP*)&binop_list[37];
	DOOP(pp_concat);
	DOOP(pp_open);
	DOOP(pp_not);
	if (!SvTRUE(TOPs)) goto lab_82a92e0;
	*sp--;
  lab_82a9198:
	PL_op = &op_list[9];
	DOOP(pp_enter);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	XPUSHs((SV*)gv_list[27]);
	PL_curcop = (COP*)(OP*)&cop_list[3];
	PL_op = (OP*)&unop_list[38];
	DOOP(pp_rv2gv);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[206]);
	PL_op = (OP*)&listop_list[7];
	DOOP(pp_print);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[207]);
	PL_op = (OP*)&unop_list[39];
	DOOP(pp_exit);
	DOOP(pp_leave);
  lab_82a92e0:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	XPUSHs((SV*)gv_list[26]);
	PL_curcop = (COP*)(OP*)&cop_list[4];
	PL_op = (OP*)&unop_list[40];
	DOOP(pp_rv2gv);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[28]);
	PL_op = (OP*)&listop_list[9];
	DOOP(pp_print);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs((SV*)gv_list[26]);
	PL_op = (OP*)&unop_list[41];
	DOOP(pp_close);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	XPUSHs(GvSV(gv_list[28]));
	if (!SvTRUE(TOPs)) goto lab_82a8678;
	*sp--;
  lab_82a97a0:
	PL_op = &op_list[10];
	DOOP(pp_enter);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	XPUSHs((SV*)gv_list[27]);
	PL_curcop = (COP*)(OP*)&cop_list[5];
	PL_op = (OP*)&unop_list[42];
	DOOP(pp_rv2gv);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[208]);
	XPUSHs(GvSV(gv_list[28]));
	PL_op = (OP*)&binop_list[38];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[209]);
	PL_op = (OP*)&binop_list[39];
	DOOP(pp_concat);
	DOOP(pp_print);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[210]);
	PL_op = (OP*)&unop_list[43];
	DOOP(pp_exit);
	DOOP(pp_leave);
  lab_82a8678:
	PL_op = (OP*)&listop_list[12];
	DOOP(pp_leave);
	goto lab_8138db0;
  lab_82a5150:
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[14]);
	goto lab_82a4f58;
}

static
PP(pp_sub_usage)
{
	MAGIC *mg;
	SV **svp, *sv, *src, *dst, *left, *right;
	double d_tmp1, d_tmp2, d_tmp3, d_tmp4;
	I32 oldsave;
	IV i_tmp1, i_tmp2, i_tmp3, i_tmp4;
	djSP;
  lab_82a9c50:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	EXTEND(sp, 2);
	PUSHs((SV*)&sv_list[211]);
	PUSHs((SV*)PL_curpad[1]);
	PL_op = (OP*)&binop_list[40];
	DOOP(pp_concat);
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[212]);
	PL_op = (OP*)&binop_list[41];
	DOOP(pp_concat);
	DOOP(pp_print);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)&sv_list[213]);
	PL_op = (OP*)&unop_list[44];
	DOOP(pp_exit);
	DOOP(pp_leavesub);
	PUTBACK;
	return 0;
}

static
PP(pp_sub_untaint)
{
	MAGIC *mg;
	SV **svp, *sv, *src, *dst, *left, *right;
	double d_tmp1, d_tmp2, d_tmp3;
	I32 oldsave;
	IV i_tmp1, i_tmp2, i_tmp3;
	djSP;
  lab_82aa028:
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	XPUSHs((SV*)gv_list[29]);
	PL_op = (OP*)&unop_list[46];
	DOOP(pp_rv2av);
	PUSHMARK(sp);
	SAVECLEARSV(PL_curpad[1]);
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[1]);
	PL_op = (OP*)&binop_list[42];
	DOOP(pp_aassign);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	EXTEND(sp, 1);
	PUSHs((SV*)PL_curpad[1]);
	PL_op = (OP*)&pmop_list[3];
	DOOP(pp_match);
	TAINT_NOT;
	sp = PL_stack_base + cxstack[cxstack_ix].blk_oldsp;
	FREETMPS;
	PUSHMARK(sp);
	XPUSHs(GvSV(gv_list[30]));
	PL_op = (OP*)&listop_list[14];
	DOOP(pp_return);
	PUTBACK;
	return 0;
	PL_op = (OP*)&unop_list[47];
	DOOP(pp_leavesub);
	PUTBACK;
	return 0;
}

int
#ifndef CAN_PROTOTYPE
main(argc, argv, env)
int argc;
char **argv;
char **env;
#else  /* def(CAN_PROTOTYPE) */
main(int argc, char **argv, char **env)
#endif  /* def(CAN_PROTOTYPE) */
{
    int exitstatus;
    int i;
    char **fakeargv;

    PERL_SYS_INIT(&argc,&argv);
 
    perl_init_i18nl10n(1);

    if (!PL_do_undump) {
	my_perl = perl_alloc();
	if (!my_perl)
	    exit(1);
	perl_construct( my_perl );
    }

#ifdef CSH
    if (!PL_cshlen) 
      PL_cshlen = strlen(PL_cshname);
#endif

#ifdef ALLOW_PERL_OPTIONS
#define EXTRA_OPTIONS 2
#else
#define EXTRA_OPTIONS 3
#endif /* ALLOW_PERL_OPTIONS */
    New(666, fakeargv, argc + EXTRA_OPTIONS + 1, char *);
    fakeargv[0] = argv[0];
    fakeargv[1] = "-e";
    fakeargv[2] = "";
#ifndef ALLOW_PERL_OPTIONS
    fakeargv[3] = "--";
#endif /* ALLOW_PERL_OPTIONS */
    for (i = 1; i < argc; i++)
	fakeargv[i + EXTRA_OPTIONS] = argv[i];
    fakeargv[argc + EXTRA_OPTIONS] = 0;
    
    exitstatus = perl_parse(my_perl, xs_init, argc + EXTRA_OPTIONS,
			    fakeargv, NULL);
    if (exitstatus)
	exit( exitstatus );

    sv_setpv(GvSV(gv_fetchpv("0", TRUE, SVt_PV)), argv[0]);
    PL_main_cv = PL_compcv;
    PL_compcv = 0;

    exitstatus = perl_init();
    if (exitstatus)
	exit( exitstatus );

    exitstatus = perl_run( my_perl );

    perl_destruct( my_perl );
    perl_free( my_perl );

    exit( exitstatus );
}

static void
xs_init()
{
}
